Subject: Re: [B20.1] GTK hanging
From: [email-masked] (Christopher G. Faylor)

7 Jan 1999 16:08:17 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

There was a SIGSEGV in your code.  If it screwed up the stack somehow
then you might get this behavior.  The address is 0x26FE333.

Problems like this are best solved with gdb.

In article <[email-masked]>,
 <[email-masked]> wrote:
>
>I'm working on moving the GIMP and support (GTK, GLIB) over to the new B20
>codebase.  It appears that there may be some kind of a looping bug in the
>code.  When I run one of the GTK test programs, it pegs the CPU and just
>hangs.  This code worked fine under B19, so it would appear that something
>has changed.  I have captured a full trace if there is anyone that would be
>willing to look at it.  I don't want to force all on the list to see the
>whole thing, but the end of the capture certainly appears to be looping on
>something.  Any help would be greatly appreciated.
>
>[ Capture outtake ]
>
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler
>calling 0x4CB1B4
>[main] testgtk 11072 (0) sig_send: pid 11072, signal 11, its_me 1
>[sig] testgtk 11072 (0) wait_sig: awake
>[sig] testgtk 11072 (0) wait_sig: sig 11 blocked
>[sig] testgtk 11072 (0) wait_sig: looping
>[main] testgtk 11072 (0) sig_send: Not waiting for sigcomplete.  its_me 1
>sig 11
>[main] testgtk 11072 (0) sig_send: returning 0 from sending signal 11
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler exc
>0xC0000005 at 0x26FE333 sp 0x26FDB6C
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler sig =
>11 at 0x26FE333
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler
>calling 0x4CB1B4
>[main] testgtk 11072 (0) sig_send: pid 11072, signal 11, its_me 1
>[sig] testgtk 11072 (0) wait_sig: awake
>[sig] testgtk 11072 (0) wait_sig: sig 11 blocked
>[sig] testgtk 11072 (0) wait_sig: looping
>[main] testgtk 11072 (0) sig_send: Not waiting for sigcomplete.  its_me 1
>sig 11
>[main] testgtk 11072 (0) sig_send: returning 0 from sending signal 11
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler exc
>0xC0000005 at 0x26FE333 sp 0x26FDB6C
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler sig =
>11 at 0x26FE333
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler
>calling 0x4CB1B4
>[main] testgtk 11072 (0) sig_send: pid 11072, signal 11, its_me 1
>[sig] testgtk 11072 (0) wait_sig: awake
>[sig] testgtk 11072 (0) wait_sig: sig 11 blocked
>[sig] testgtk 11072 (0) wait_sig: looping
>[main] testgtk 11072 (0) sig_send: Not waiting for sigcomplete.  its_me 1
>sig 11
>[main] testgtk 11072 (0) sig_send: returning 0 from sending signal 11
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler exc
>0xC0000005 at 0x26FE333 sp 0x26FDB6C
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler sig =
>11 at 0x26FE333
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler
>calling 0x4CB1B4
>[main] testgtk 11072 (0) sig_send: pid 11072, signal 11, its_me 1
>[sig] testgtk 11072 (0) wait_sig: awake
>[sig] testgtk 11072 (0) wait_sig: sig 11 blocked
>[sig] testgtk 11072 (0) wait_sig: looping
>[main] testgtk 11072 (0) sig_send: Not waiting for sigcomplete.  its_me 1
>sig 11
>[main] testgtk 11072 (0) sig_send: returning 0 from sending signal 11
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler exc
>0xC0000005 at 0x26FE333 sp 0x26FDB6C
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler sig =
>11 at 0x26FE333
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler
>calling 0x4CB1B4
>[main] testgtk 11072 (0) sig_send: pid 11072, signal 11, its_me 1
>[sig] testgtk 11072 (0) wait_sig: awake
>[sig] testgtk 11072 (0) wait_sig: sig 11 blocked
>[sig] testgtk 11072 (0) wait_sig: looping
>[main] testgtk 11072 (0) sig_send: Not waiting for sigcomplete.  its_me 1
>sig 11
>[main] testgtk 11072 (0) sig_send: returning 0 from sending signal 11
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler exc
>0xC0000005 at 0x26FE333 sp 0x26FDB6C
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler sig =
>11 at 0x26FE333
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler
>calling 0x4CB1B4
>[main] testgtk 11072 (0) sig_send: pid 11072, signal 11, its_me 1
>[sig] testgtk 11072 (0) wait_sig: awake
>[sig] testgtk 11072 (0) wait_sig: sig 11 blocked
>[sig] testgtk 11072 (0) wait_sig: looping
>[main] testgtk 11072 (0) sig_send: Not waiting for sigcomplete.  its_me 1
>sig 11
>[main] testgtk 11072 (0) sig_send: returning 0 from sending signal 11
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler exc
>0xC0000005 at 0x26FE333 sp 0x26FDB6C
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler sig =
>11 at 0x26FE333
>[main] testgtk 11072 (0) handle_exceptions: In cygwin_except_handler
>calling 0x4CB1B4
>[main] testgtk 11072 (0) sig_send: pid 11072, signal 11, its_me 1
>[sig] testgtk 11072 (0) wait_sig: awake
>
>Craig Setera
>AS/400 Enterprise Java Development
>IBM Rochester
>[email-masked]
>(507) 253-3387 - Tie: 553-3387
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

-- 
[email-masked]
http://www.cygnus.com/